import sys

from TableScan import TblScan
from Selection import EqSelect
from MergeJoin import MergeJoin
from Sort import Sort
import Util

def executeQuery11(R, S, jColR, jColS, output):
    print("Executing Query 11...")
    input1 = EqSelect(TblScan(R), "c", '7')
    input2 = TblScan(S)

    mergeJoin = MergeJoin(input1, input2, jColR, jColS)
    mergeJoin.open()

    row = mergeJoin.next()
    rows = []

    while row is not None:
        rows.append(row)
        row = mergeJoin.next()

    Util.writeToCSV(output, rows)

    print("Query 11 finished execution")

def main():
    print("Starting program...")
    if len(sys.argv) != 6:
        print("Wrong number of arguments passed to the program!\nUsage: python3 main.py ./R.csv ./S.csv <jColR> <jColS> <output.csv>")
        return
        
    R = sys.argv[1]
    S = sys.argv[2]
    jColR = sys.argv[3]
    jColS = sys.argv[4]
    output = sys.argv[5]

    #uncomment the following file to test your operators implementation by executing the query 11

    #executeQuery11(R, S, jColR, jColS, output)
    print("Program finished!")

if __name__ == "__main__":
    main()
    